Bug 819955 - (lightdm-kde) Review Request: lightdm-kde - LightDM KDE Greeter
Review Request: lightdm-kde - LightDM KDE Greeter
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gregor Tätzner
Fedora Extras Quality Assurance
:
Depends On: lightdm
Blocks: kde-reviews
  Show dependency treegraph
 
Reported: 2012-05-08 13:27 EDT by Rex Dieter
Modified: 2015-03-11 10:15 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-14 15:18:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
gregor: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Comment 1 Gregor Tätzner 2012-06-10 11:53:43 EDT
proposal: Use alternatives to handle greeter config

Spec: http://brummbq.fedorapeople.org/lightdm/lightdm-kde.spec
Srpm: http://brummbq.fedorapeople.org/lightdm/lightdm-kde-0.1.1-3.fc16.src.rpm
Comment 2 Gregor Tätzner 2012-06-11 02:39:43 EDT
pre review:

- licence: in addition to GPLv3+:
 kcm/configwidgets/selectimagebutton.cpp: LGPL (v2.1 or later) 
 kcm/configwidgets/selectimagebutton.h: LGPL (v2.1 or later) 

- can't access source0, better use this url? http://download.kde.org/unstable/lightdm-kde/src/lightdm-kde-0.1.1.tar.bz2

- mark as config: %{_sysconfdir}/dbus-1/system.d/org.kde.kcontrol.kcmlightdm.conf

- missing doc: COPYING, NEWS

- use %name macro at least in source0

- validate greeter/lightdm-kde-greeter.desktop (it's ok)?

thanks :)
Comment 3 Rex Dieter 2012-06-11 14:56:22 EDT
Spec URL: http://rdieter.fedorapeople.org/rpms/lightdm/lightdm-kde.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/lightdm/lightdm-kde-0.1.1-3.fc17.src.rpm

%changelog
* Mon Jun 11 2012 Rex Dieter <rdieter@fedoraproject.org> 0.1.1-3
- %%doc COPYING NEWS
- %%config dbus conf
- License: GPLv3+


* only .desktop files that appear in menus (ie, those under /usr/share/applications/ need validation), which isn't the case here

* no mandate in guidelines requiring use of %name in source urls
Comment 4 Rex Dieter 2012-06-11 15:22:46 EDT
Spec URL: http://rdieter.fedorapeople.org/rpms/lightdm/lightdm-kde.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/lightdm/lightdm-kde-0.1.1-4.fc17.src.rpm

%changelog
* Mon Jun 11 2012 Rex Dieter <rdieter@fedoraproject.org> 0.1.1-4
- fix Source url (http vs https)
Comment 5 Gregor Tätzner 2012-06-12 14:54:01 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Package is not relocatable.


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST %config files are marked noreplace or the reason is justified.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST No %config files under /usr.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/greg/projects/Review/819955/lightdm-kde-0.1.1.tar.bz2 :
  MD5SUM this package     : a075680719c9aff179c0c1b67dfc9f5a
  MD5SUM upstream package : a075680719c9aff179c0c1b67dfc9f5a

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.

Approved

Just remember to fix lightdm devel subpackages :)
Comment 6 Rex Dieter 2012-06-12 14:57:46 EDT
New Package SCM Request
=======================
Package Name: lightdm-kde
Short Description: LightDM KDE Greeter
Owners: rdieter cwickert
Branches: f16 f17
InitialCC:
Comment 7 Gwyn Ciesla 2012-06-12 15:08:47 EDT
Git done (by process-git-requests).
Comment 8 Rex Dieter 2012-06-14 15:18:02 EDT
imported.
Comment 9 Rex Dieter 2015-03-11 08:37:48 EDT
Package Change Request
======================
Package Name: lightdm-kde
New Branches: epel7
Owners: rdieter carandraug
Comment 10 Gwyn Ciesla 2015-03-11 10:15:35 EDT
Branch exists.

Note You need to log in before you can comment on or make changes to this bug.